Package twisted :: Package internet :: Module interfaces :: Class IPullProducer |
[frames | no frames]

## Class IPullProducer

    Interface --+
                |
        IProducer --+
                    |
                   IPullProducer

A pull producer, also known as a non-streaming producer, is expected to produce data each time resumeProducing() is called.

This interface is semi-stable.

Method Summary
| ``resumeProducing`(self)` Produce data for the consumer a single time.
Inherited from IProducer
| ``stopProducing`(self)` Stop producing data.

Method Details

### resumeProducing(self) Produce data for the consumer a single time. This tells a producer to produce data for the consumer once (not repeatedly, once only). Typically this will be done by calling the consumer's write() method a single time with produced data.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:09 2003 | http://epydoc.sf.net